document.addEventListener('DOMContentLoaded', function() {
    chrome.tabs.query({active: true, currentWindow: true}, function(tabs) {
      chrome.scripting.executeScript({
        target: {tabId: tabs[0].id},
        files: ['content.js']
      }, function() {
        chrome.tabs.sendMessage(tabs[0].id, {action: "getInfo"}, function(response) {
          if (response) {
            document.getElementById('input1').value = response.amount;
            document.getElementById('input2').value = response.shipping;
  
            // 自动点击计算按钮
            document.getElementById('calculateBtn').click();
          }
        });
      });
    });
  
    // Existing code for your popup.js
    document.addEventListener('contextmenu', function (e) {
      e.preventDefault();
    });
  });
  